Skip to main content
GET
/
api
/
v1
/
tasks
/
search
Full-text search across tasks
curl --request GET \
  --url https://znift.com/api/v1/tasks/search \
  --header 'x-api-key: <api-key>'
[
  {
    "_id": "<string>",
    "text": "<string>",
    "date": "<string>",
    "isCompleted": true,
    "priority": "<string>",
    "archivedAt": 123
  }
]

Authorizations

x-api-key
string
header
required

API key with znift_ prefix. Create one in Profile > API Keys.

Query Parameters

query
string
required

Search query

includeArchived
enum<string>

Set to "true" to include archived tasks. Default: false

Available options:
true,
false
limit
string

Maximum number of results as a string (e.g. "10"). Default: 20

Response

200 - application/json

Search results

_id
string
text
string
date
string
isCompleted
boolean
priority
string | null
archivedAt
number | null